subroutine L_Inverse_Exact(n, Linv)
! Inversa exacta a matricii Hilbert de ordinul "n"
! + Numarul de conditie Cond1(A)

real :: Linv(n,n)
character*20 fname, charn*2
integer kij

Linv =0

! i=1:

j1_DO: do i=1,n
n_1 =(-1)**(n-i)
Linv(i,1) =n_1*comb(n+i-1, i-1)*comb(n,i)
enddo j1_DO

! i >=2; j=1,n:
ido: do i=1, n


jdo: do j=1, n-1
n_1 =(-1)**(i-j)

kij1 =comb(i+j,j)*comb(i+j-1, j-1)*i
Linv(i,j+1) =n_1*kij1*comb(n+i-1, i+j)*comb(n+j, i+j)

enddo jdo
enddo ido

END subroutine L_Inverse_Exact
